Katello - Bug #23903

Removing subscription from manifest still shows repos to enable

06/12/2018 01:24 PM - Thomas McKay

Status: Closed
Priority: High
Assignee: Justin Sherrill
Category: Repositories
Target version: Katello 3.7.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1590404 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/749
Description
For my test:

+ import manifest w/ satellite subscription
+ enable and sync satellite rpms repo

+ refresh manifest from portal where satellite subscription had been removed

+ confirm that satellite repos are no longer listed to enable
+ confirm that the previously enabled repo is still present

+ confirm that the previously enabled repo is marked as "orphaned" in some way

These last three confirm steps are broken.

Associated revisions

Revision 97a11e1c - 07/18/2018 02:16 PM - Justin Sherrill

Fixes #23903 - Hide repo sets without a valid subscription

This adds a new paramter to the repo sets api, to only return repo sets
that have an active subscription. This works well with the new Ul which
seems to be built around this assumption. For hammer, we want to still
show either enabled repo sets or repo sets with an active sub, so the
new default behavior is to show only these.

With this change there is no way to view repo sets that either are
not enabled, or do not belong to a valid subscription.

History

#1 - 06/12/2018 02:50 PM - Thomas McKay
- Bugzilla link set to 1590404

#2 - 06/13/2018 05:47 PM - Justin Sherrill

- translation missing: en.field_release set to 338

#3 - 06/27/2018 06:22 PM - Andrew Kofink
- Priority changed from Normal to High

#4 - 07/09/2018 02:04 PM - Justin Sherrill
- Triaged set to No
- Pull request https://github.com/Katello/katello/pull/7498 added

#5 - 07/09/2018 06:02 PM - Brad Buckingham
- Target version changed from 1.3.1 to Katello 3.7.0
#6 - 07/09/2018 09:05 PM - Brad Buckingham

- Assignee set to Justin Sherrill

#7 - 07/11/2018 06:18 PM - The Foreman Bot
- Status changed from New to Ready For Testing

#8 - 07/18/2018 03:01 PM - Justin Sherrill
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|97a11e1c8c1dcfd06dea77a8d87f3e2a39243bc0.
